Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd.util
Class CallBackHandlerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              javax.xml.messaging.JAXMServlet
                  org.jprocessunit.addon.jpd.util.CallBackHandlerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, javax.xml.messaging.ReqRespListener

    public class CallBackHandlerServlet

extends javax.xml.messaging.JAXMServlet
implements javax.xml.messaging.ReqRespListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.xml.messaging.JAXMServlet
`msgFactory`

Constructor Summary
`CallBackHandlerServlet()`

Method Summary
`javax.xml.soap.SOAPMessage` | `onMessage(javax.xml.soap.SOAPMessage message)` This method receives a SOAP message that it assumes is a callback from A JPD.

Methods inherited from class javax.xml.messaging.JAXMServlet
`doPost, getHeaders, init, putHeaders, setMessageFactory`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CallBackHandlerServlet

    public CallBackHandlerServlet()

Method Detail

### onMessage

    public javax.xml.soap.SOAPMessage onMessage(javax.xml.soap.SOAPMessage message)

  This method receives a SOAP message that it assumes is a callback from A JPD. It therfefore retrieves the conversation ID and the operation name, and registers the fact that such a callback was received for this conversation ID with the CallBackServer.

  Specified by:
    `onMessage` in interface `javax.xml.messaging.ReqRespListener`
  Parameters:
    `message` - SOAP message received on the URL this servlet was registered with

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API